SDL_loadso.h File Reference
`#include "SDL_stdinc.h"`
`#include "SDL_error.h"`
`#include "begin_code.h"`
`#include "close_code.h"`
Include dependency graph for SDL_loadso.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

void * | SDL_LoadObject (const char *sofile)
void * | SDL_LoadFunction (void *handle, const char *name)
void | SDL_UnloadObject (void *handle)

## Function Documentation

## SDL_LoadFunction()

void * SDL_LoadFunction | ( | void * | handle,
|  | const char * | name )

extern

Look up the address of the named function in a shared object.

This function pointer is no longer valid after calling SDL_UnloadObject().

This function can only look up C function names. Other languages may have name mangling and intrinsic language support that varies from compiler to compiler.

Make sure you declare your function pointers with the same calling convention as the actual library function. Your code will crash mysteriously if you do not do this.

If the requested function doesn't exist, NULL is returned.

Parameters

  handle | a valid shared object handle returned by SDL_LoadObject().
  name | the name of the function to look up.

Returns
  a pointer to the function or NULL if there was an error; call SDL_GetError() for more information.

Since
  This function is available since SDL 2.0.0.

See also
  SDL_LoadObject
  SDL_UnloadObject

## SDL_LoadObject()

void * SDL_LoadObject | ( | const char * | sofile | ) |

extern

# CategoryLoadSO

System-dependent library loading routines.

Some things to keep in mind:

- These functions only work on C function names. Other languages may have name mangling and intrinsic language support that varies from compiler to compiler.
- Make sure you declare your function pointers with the same calling convention as the actual library function. Your code will crash mysteriously if you do not do this.
- Avoid namespace collisions. If you load a symbol from the library, it is not defined whether or not it goes into the global symbol namespace for the application. If it does and it conflicts with symbols in your code or other shared libraries, you will not get the results you expect. :) Dynamically load a shared object.

Parameters

  sofile | a system-dependent name of the object file.

Returns
  an opaque pointer to the object handle or NULL if there was an error; call SDL_GetError() for more information.

Since
  This function is available since SDL 2.0.0.

See also
  SDL_LoadFunction
  SDL_UnloadObject

## SDL_UnloadObject()

void SDL_UnloadObject | ( | void * | handle | ) |

extern

Unload a shared object from memory.

Parameters

  handle | a valid shared object handle returned by SDL_LoadObject().

Since
  This function is available since SDL 2.0.0.

See also
  SDL_LoadFunction
  SDL_LoadObject